package cat.hack3.codingtests.marsrover.core;

import org.testng.annotations.BeforeMethod;

import java.util.List;

import static cat.hack3.codingtests.marsrover.core.Direction.SOUTH;

public class MarsRoverWithObstaclesTest {

    private MarsRover rover;

    @BeforeMethod
    public void setUp() {
        int mapWidth = 10;
        int mapHeight = 10;
        int latitudeStartingPoint = 2;
        int longitudeStartingPoint = 3;
        var startingCoordinates = Coordinates.of(latitudeStartingPoint, longitudeStartingPoint);
        List<Coordinates> obstaclesLocalizations = List.of(
                Coordinates.of(3, 3),
                Coordinates.of(5, 5),
                Coordinates.of(7, 7),
                Coordinates.of(9, 9),
                Coordinates.of(10, 10)
        );
        var marsMap = new MarsMap(mapHeight, mapWidth, startingCoordinates, obstaclesLocalizations);
        rover = new MarsRover(marsMap, SOUTH);
    }



}
